GIT-QUNAPPLIED(1)

NAME
git-qunapplied - list unapplied entries from the patch series file

SYNOPSIS
git qunapplied [-v | --verbose] [ -s | --summary] [-1 | --first]

DESCRIPTION
The git qunapplied command displays, in series order, the names of all patches which have been registered as members of the active Git-MQ patch series, and which are currently in the unapplied, and unguarded state, (i.e. all registered, unapplied, and unguarded patches, in series order, which follow the topmost applied patch, as indicated by the git qtop command).

Note that, any unapplied patches which precede the topmost applied patch, in series order, due to having been guarded at the time when they would normally have been applied, whether or not they remain guarded, are never listed in the output from the git unapplied command.

If the --verbose option is specified, the displayed list of patch names is extended to include any patches which follow the topmost applied patch, in series order, and which are guarded to prevent them being applied in the current guard state, as established by the git qselect command; each patch name listed is preceded by its sequence number, and application status flag, as described for the git qseries command.

If the --summary option is specified, the commit summary line, if available in the patch header, is displayed following each patch name.

If the --first option is specified, the output is reduced to the display of only the one patch, if any, which is the next available patch in the series, following the topmost applied patch. This is effectively equivalent to the output of the git qnext command, except in the case when the first unapplied patch is guarded, in which case the git qunapplied command identifies the guarded patch, whereas the git qnext command identifies the next available unguarded patch.

OPTIONS

-1, --first
    Show only the next available patch, which may be applied by subsequent execution of the git qpush command.

-s, --summary
    Include summary lines from patch headers.

-v, --verbose
    Show patch sequence numbers and status flags.

EXIT STATUS
On successful completion, git qunapplied reports an exit status code of 0. Any non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qunapplied command exhibits fundamentally the same behaviour as its hg qunapplied counterpart.

CAVEATS AND BUGS
The --first option is not particularly useful, unless accompanied by the --verbose option. In the case when the first unapplied patch is guarded, and without the --verbose option, the difference between the guarded and unguarded patch state is distinguishable only if colour coding of the output is enabled. This differs from the (also unhelpful) behaviour of the hg qunapplied --first command, which suppresses all output for a guarded patch, unless the --verbose option is also selected.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qapplied(1), git-qnext(1), git-qpush(1), git-qseries(1), git-qtop(1)